com.holonplatform.vaadin.flow.components.builders

## Interface DialogBuilder.MessageDialogBuilder

- All Superinterfaces:
    ComponentConfigurator<DialogBuilder.MessageDialogBuilder>, DeferrableLocalizationConfigurator<DialogBuilder.MessageDialogBuilder>, DialogBuilder<DialogBuilder.MessageDialogBuilder>, DialogConfigurator<DialogBuilder.MessageDialogBuilder>, DialogConfigurator.ClosableDialogConfigurator<DialogBuilder.MessageDialogBuilder>, HasDeferrableLocalization, HasElementConfigurator<DialogBuilder.MessageDialogBuilder>, HasSizeConfigurator<DialogBuilder.MessageDialogBuilder>, HasStyleConfigurator<DialogBuilder.MessageDialogBuilder>, HasTextConfigurator<DialogBuilder.MessageDialogBuilder>
  Enclosing interface:
    DialogBuilder<B extends DialogBuilder<B>>

      public static interface DialogBuilder.MessageDialogBuilder
      extends DialogBuilder<DialogBuilder.MessageDialogBuilder>, DialogConfigurator.ClosableDialogConfigurator<DialogBuilder.MessageDialogBuilder>

  Default message `Dialog` builder.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.DialogBuilder

      `DialogBuilder.ConfirmDialogBuilder, DialogBuilder.MessageDialogBuilder, DialogBuilder.QuestionDialogBuilder, DialogBuilder.QuestionDialogCallback`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.DialogConfigurator

      `DialogConfigurator.ClosableDialogConfigurator<C extends DialogConfigurator.ClosableDialogConfigurator<C>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.DialogBuilder

      `DEFAULT_CONFIRM_BUTTON_MESSAGE_CODE, DEFAULT_DENY_BUTTON_MESSAGE_CODE, DEFAULT_OK_BUTTON_MESSAGE_CODE`

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DialogBuilder

      `build, confirm, message, open, question`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DialogConfigurator.ClosableDialogConfigurator

      `closeOnEsc, closeOnOutsideClick`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DialogConfigurator

      `withComponent, withOpenedChangeListener, withToolbarComponent`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTextConfigurator

      `text, text, text`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

Copyright © 2019 The Holon Platform. All rights reserved.